<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::sensor::HostEthController Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1sensor_1_1_host_eth_controller.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classflair_1_1sensor_1_1_host_eth_controller-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::sensor::HostEthController Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Base Class for host side remote controls that talks to target side through ethernet connection.  
 <a href="classflair_1_1sensor_1_1_host_eth_controller.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_host_eth_controller_8h_source.html">HostEthController.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::sensor::HostEthController:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1sensor_1_1_host_eth_controller.png" usemap="#flair::sensor::HostEthController_map" alt=""/>
  <map id="flair::sensor::HostEthController_map" name="flair::sensor::HostEthController_map">
<area href="classflair_1_1core_1_1_thread.html" title="Abstract class for a thread. " alt="flair::core::Thread" shape="rect" coords="0,56,183,80"/>
<area href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="flair::core::IODevice" shape="rect" coords="193,56,376,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,183,24"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="193,0,376,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2a561df3660e098e3bcb47fd8b09a482"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a561df3660e098e3bcb47fd8b09a482"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>HostEthController</b> (std::string name, std::string address, int port, uint32_t period=10, uint32_t _bitsPerAxis=7, uint8_t priority=0)</td></tr>
<tr class="separator:a2a561df3660e098e3bcb47fd8b09a482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8551e6dc49bfce7a89c106ac0ab60c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab8551e6dc49bfce7a89c106ac0ab60c3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>DrawUserInterface</b> ()</td></tr>
<tr class="separator:ab8551e6dc49bfce7a89c106ac0ab60c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td></tr>
<tr class="memitem:adecd2fabe36298c43267557e7f016deb inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#adecd2fabe36298c43267557e7f016deb">Thread</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, uint8_t priority, uint32_t stackSize=1024 *128)</td></tr>
<tr class="memdesc:adecd2fabe36298c43267557e7f016deb inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adecd2fabe36298c43267557e7f016deb">More...</a><br /></td></tr>
<tr class="separator:adecd2fabe36298c43267557e7f016deb inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39ede97ff3addeaf48ecec09c6625655 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a39ede97ff3addeaf48ecec09c6625655">~Thread</a> ()</td></tr>
<tr class="memdesc:a39ede97ff3addeaf48ecec09c6625655 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a39ede97ff3addeaf48ecec09c6625655">More...</a><br /></td></tr>
<tr class="separator:a39ede97ff3addeaf48ecec09c6625655 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a4f0f27689ae4292f81bf45e22998a5 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a5a4f0f27689ae4292f81bf45e22998a5">Start</a> (void)</td></tr>
<tr class="memdesc:a5a4f0f27689ae4292f81bf45e22998a5 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the thread.  <a href="#a5a4f0f27689ae4292f81bf45e22998a5">More...</a><br /></td></tr>
<tr class="separator:a5a4f0f27689ae4292f81bf45e22998a5 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa1fb0f8d5b18273394502159dd5dcef inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#afa1fb0f8d5b18273394502159dd5dcef">SafeStop</a> (void)</td></tr>
<tr class="memdesc:afa1fb0f8d5b18273394502159dd5dcef inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#afa1fb0f8d5b18273394502159dd5dcef">More...</a><br /></td></tr>
<tr class="separator:afa1fb0f8d5b18273394502159dd5dcef inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcbb4a445fe287b8608b173bdc10f056 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#afcbb4a445fe287b8608b173bdc10f056">ToBeStopped</a> (void) const </td></tr>
<tr class="memdesc:afcbb4a445fe287b8608b173bdc10f056 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#afcbb4a445fe287b8608b173bdc10f056">More...</a><br /></td></tr>
<tr class="separator:afcbb4a445fe287b8608b173bdc10f056 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba8b31e2e4c1beccb31333beb8bd41a4 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#aba8b31e2e4c1beccb31333beb8bd41a4">Join</a> (void)</td></tr>
<tr class="memdesc:aba8b31e2e4c1beccb31333beb8bd41a4 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Join the thread.  <a href="#aba8b31e2e4c1beccb31333beb8bd41a4">More...</a><br /></td></tr>
<tr class="separator:aba8b31e2e4c1beccb31333beb8bd41a4 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a581ae3bdecef47c916671a6aafec9509 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a581ae3bdecef47c916671a6aafec9509">SetPeriodUS</a> (uint32_t period_us)</td></tr>
<tr class="memdesc:a581ae3bdecef47c916671a6aafec9509 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in micro second.  <a href="#a581ae3bdecef47c916671a6aafec9509">More...</a><br /></td></tr>
<tr class="separator:a581ae3bdecef47c916671a6aafec9509 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab58a00466581b6cf88ba28b8e2118c65 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab58a00466581b6cf88ba28b8e2118c65"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodUS</b> () const </td></tr>
<tr class="separator:ab58a00466581b6cf88ba28b8e2118c65 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37d13f12283d69ebd092a7cc01a7d742 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a37d13f12283d69ebd092a7cc01a7d742">SetPeriodMS</a> (uint32_t period_ms)</td></tr>
<tr class="memdesc:a37d13f12283d69ebd092a7cc01a7d742 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#a37d13f12283d69ebd092a7cc01a7d742">More...</a><br /></td></tr>
<tr class="separator:a37d13f12283d69ebd092a7cc01a7d742 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa77472d57848bed10204ee5ec1d75a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afaa77472d57848bed10204ee5ec1d75a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodMS</b> () const </td></tr>
<tr class="separator:afaa77472d57848bed10204ee5ec1d75a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af892a1b3025cb842cad8e7f2a11a9526 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#af892a1b3025cb842cad8e7f2a11a9526">IsPeriodSet</a> (void)</td></tr>
<tr class="memdesc:af892a1b3025cb842cad8e7f2a11a9526 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns if period was set.  <a href="#af892a1b3025cb842cad8e7f2a11a9526">More...</a><br /></td></tr>
<tr class="separator:af892a1b3025cb842cad8e7f2a11a9526 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50cd2ea88d538e10a30c3e6a5286a944 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a50cd2ea88d538e10a30c3e6a5286a944">WaitPeriod</a> (void) const </td></tr>
<tr class="memdesc:a50cd2ea88d538e10a30c3e6a5286a944 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait the period.  <a href="#a50cd2ea88d538e10a30c3e6a5286a944">More...</a><br /></td></tr>
<tr class="separator:a50cd2ea88d538e10a30c3e6a5286a944 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b5b5f3cf400729419bd864b654af252 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a2b5b5f3cf400729419bd864b654af252">WaitUpdate</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a2b5b5f3cf400729419bd864b654af252 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait update of an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>.  <a href="#a2b5b5f3cf400729419bd864b654af252">More...</a><br /></td></tr>
<tr class="separator:a2b5b5f3cf400729419bd864b654af252 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e5fc8919ed6042e5736a5dca5ba546b inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a0e5fc8919ed6042e5736a5dca5ba546b">Suspend</a> (void)</td></tr>
<tr class="memdesc:a0e5fc8919ed6042e5736a5dca5ba546b inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread.  <a href="#a0e5fc8919ed6042e5736a5dca5ba546b">More...</a><br /></td></tr>
<tr class="separator:a0e5fc8919ed6042e5736a5dca5ba546b inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af93c2461c31a6c16958bc44189ab4253 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#af93c2461c31a6c16958bc44189ab4253">SuspendUntil</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> date)</td></tr>
<tr class="memdesc:af93c2461c31a6c16958bc44189ab4253 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread with timeout.  <a href="#af93c2461c31a6c16958bc44189ab4253">More...</a><br /></td></tr>
<tr class="separator:af93c2461c31a6c16958bc44189ab4253 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c46910a801f1b16302570ad8ae9580 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#ae7c46910a801f1b16302570ad8ae9580">Resume</a> (void)</td></tr>
<tr class="memdesc:ae7c46910a801f1b16302570ad8ae9580 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resume the thread.  <a href="#ae7c46910a801f1b16302570ad8ae9580">More...</a><br /></td></tr>
<tr class="separator:ae7c46910a801f1b16302570ad8ae9580 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adac9a6d336bdb50bcfa24c66943a355a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#adac9a6d336bdb50bcfa24c66943a355a">IsSuspended</a> (void) const </td></tr>
<tr class="memdesc:adac9a6d336bdb50bcfa24c66943a355a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread suspended?  <a href="#adac9a6d336bdb50bcfa24c66943a355a">More...</a><br /></td></tr>
<tr class="separator:adac9a6d336bdb50bcfa24c66943a355a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a82d0ade1418111c2a4e7d0e133696c inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a2a82d0ade1418111c2a4e7d0e133696c">IsRunning</a> (void) const </td></tr>
<tr class="memdesc:a2a82d0ade1418111c2a4e7d0e133696c inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread running?  <a href="#a2a82d0ade1418111c2a4e7d0e133696c">More...</a><br /></td></tr>
<tr class="separator:a2a82d0ade1418111c2a4e7d0e133696c inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac09a2d745af3dbb42371949d4c622011 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#ac09a2d745af3dbb42371949d4c622011">SleepUntil</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time) const </td></tr>
<tr class="memdesc:ac09a2d745af3dbb42371949d4c622011 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep until absolute time.  <a href="#ac09a2d745af3dbb42371949d4c622011">More...</a><br /></td></tr>
<tr class="separator:ac09a2d745af3dbb42371949d4c622011 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3479727dfaf2213f7866fccadb43eeb6 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a3479727dfaf2213f7866fccadb43eeb6">SleepUS</a> (uint32_t time_us) const </td></tr>
<tr class="memdesc:a3479727dfaf2213f7866fccadb43eeb6 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a certain time in micro second.  <a href="#a3479727dfaf2213f7866fccadb43eeb6">More...</a><br /></td></tr>
<tr class="separator:a3479727dfaf2213f7866fccadb43eeb6 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a501e7802d7edd7e6167d111c803b8349 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a501e7802d7edd7e6167d111c803b8349">SleepMS</a> (uint32_t time_ms) const </td></tr>
<tr class="memdesc:a501e7802d7edd7e6167d111c803b8349 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in milli second.  <a href="#a501e7802d7edd7e6167d111c803b8349">More...</a><br /></td></tr>
<tr class="separator:a501e7802d7edd7e6167d111c803b8349 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9693b497752b466891eaafeb34bec4d3">More...</a><br /></td></tr>
<tr class="separator:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a> ()</td></tr>
<tr class="memdesc:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a05246988b486def40926d8491e1bcc5f">More...</a><br /></td></tr>
<tr class="separator:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">AddDeviceToLog</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#af7b42de6bb3893df860063228b55c229">More...</a><br /></td></tr>
<tr class="separator:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">AddDataToLog</a> (const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a2e0b7af75abdbf39843d8bf2e45f08b9">More...</a><br /></td></tr>
<tr class="separator:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a12d811c6926fb86da6b47f889109da66">More...</a><br /></td></tr>
<tr class="separator:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">IsReady</a> (void) const </td></tr>
<tr class="memdesc:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">is device ready  <a href="#aee7828ae2eece2bace8e476dacc2bc12">More...</a><br /></td></tr>
<tr class="separator:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75e82ca2ae2fb7c39d973dd3d16bc698"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa325be57d48b268006120dde75dd65cc"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a4b752bcb1d51424306bd7f2bfd9ffea4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b752bcb1d51424306bd7f2bfd9ffea4"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsDataFrameReady</b> ()</td></tr>
<tr class="separator:a4b752bcb1d51424306bd7f2bfd9ffea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a464a524bd5f65626f739e154930d00e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a464a524bd5f65626f739e154930d00e0"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>CompleteDataFrameGrab</b> ()</td></tr>
<tr class="separator:a464a524bd5f65626f739e154930d00e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04586391f3fd3e5a4bb7cc99ecac900a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04586391f3fd3e5a4bb7cc99ecac900a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>ProcessMessage</b> (<a class="el" href="classflair_1_1core_1_1_message.html">core::Message</a> *controllerAction)</td></tr>
<tr class="separator:a04586391f3fd3e5a4bb7cc99ecac900a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bf852f7688756fbc3b8affcc6401174"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2bf852f7688756fbc3b8affcc6401174"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetAxisDescription</b> (unsigned int axis)</td></tr>
<tr class="separator:a2bf852f7688756fbc3b8affcc6401174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c243cc187ca44fff6844bf1a840282"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9c243cc187ca44fff6844bf1a840282"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>GetAxisData</b> ()=0</td></tr>
<tr class="separator:af9c243cc187ca44fff6844bf1a840282"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c91c5b109169f9140b7b4b8e9e548db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c91c5b109169f9140b7b4b8e9e548db"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetButtonDescription</b> (unsigned int button)</td></tr>
<tr class="separator:a2c91c5b109169f9140b7b4b8e9e548db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab52a19b2b3822c68af732b9cc8a28304"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab52a19b2b3822c68af732b9cc8a28304"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>GetButtonData</b> ()=0</td></tr>
<tr class="separator:ab52a19b2b3822c68af732b9cc8a28304"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a> (<a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a3df9057ae23eb34f1b1dae8e7a4a9efc">More...</a><br /></td></tr>
<tr class="separator:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">SetIsReady</a> (bool status)</td></tr>
<tr class="memdesc:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">set is ready  <a href="#a120fdcc3d50f6f076084cb6943fdf412">More...</a><br /></td></tr>
<tr class="separator:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aead8f82fd3133168041c37cc471077d5 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aead8f82fd3133168041c37cc471077d5">UpdateFrom</a> (const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)=0</td></tr>
<tr class="memdesc:aead8f82fd3133168041c37cc471077d5 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update using provided datas.  <a href="#aead8f82fd3133168041c37cc471077d5">More...</a><br /></td></tr>
<tr class="separator:aead8f82fd3133168041c37cc471077d5 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ab32b5afc953c95626283a46872e097a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab32b5afc953c95626283a46872e097a4"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>controllerName</b></td></tr>
<tr class="separator:ab32b5afc953c95626283a46872e097a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1bfdc12c6746738b649f37c99bcec62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1bfdc12c6746738b649f37c99bcec62"></a>
<a class="el" href="classflair_1_1core_1_1_tcp_socket.html">core::TcpSocket</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>controlSocket</b></td></tr>
<tr class="separator:ad1bfdc12c6746738b649f37c99bcec62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a689ec219066b167772d472a5e87757cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a689ec219066b167772d472a5e87757cd"></a>
<a class="el" href="classflair_1_1core_1_1_udp_socket.html">core::UdpSocket</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>dataSocket</b></td></tr>
<tr class="separator:a689ec219066b167772d472a5e87757cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1a8d3cba72bbf26938ab0e4fe6d1a26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1a8d3cba72bbf26938ab0e4fe6d1a26"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>targetAddress</b></td></tr>
<tr class="separator:af1a8d3cba72bbf26938ab0e4fe6d1a26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44afe7d7bcf2fc0b23c041f76fbf7ed4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44afe7d7bcf2fc0b23c041f76fbf7ed4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>targetPort</b></td></tr>
<tr class="separator:a44afe7d7bcf2fc0b23c041f76fbf7ed4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7c99b78ef9315871e64cce94cafe095"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7c99b78ef9315871e64cce94cafe095"></a>
<a class="el" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>tab</b></td></tr>
<tr class="separator:af7c99b78ef9315871e64cce94cafe095"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00012d36555eaba8abe77e184417ca00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00012d36555eaba8abe77e184417ca00"></a>
<a class="el" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>tabWidget</b></td></tr>
<tr class="separator:a00012d36555eaba8abe77e184417ca00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae8e159dd595dc9f139cdeb7adf65ca9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae8e159dd595dc9f139cdeb7adf65ca9"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>dataFrameBuffer</b></td></tr>
<tr class="separator:aae8e159dd595dc9f139cdeb7adf65ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a736347a1851619d5b091d667a9deaaa9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a736347a1851619d5b091d667a9deaaa9"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>dataFrameSize</b></td></tr>
<tr class="separator:a736347a1851619d5b091d667a9deaaa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3215ccfbe09f12e4ee648d4edc98889d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3215ccfbe09f12e4ee648d4edc98889d"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>axisNumber</b></td></tr>
<tr class="separator:a3215ccfbe09f12e4ee648d4edc98889d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0997ad475ea8c0e9e328c89357805059"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0997ad475ea8c0e9e328c89357805059"></a>
<a class="el" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>axis</b></td></tr>
<tr class="separator:a0997ad475ea8c0e9e328c89357805059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb5a37f92e55e0aa2ed059180036e8bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb5a37f92e55e0aa2ed059180036e8bb"></a>
<a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> **&#160;</td><td class="memItemRight" valign="bottom"><b>axisPlot</b></td></tr>
<tr class="separator:afb5a37f92e55e0aa2ed059180036e8bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f2e19eaa5d8e82c7f0fe86c61c8f05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86f2e19eaa5d8e82c7f0fe86c61c8f05"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>bitsPerAxis</b></td></tr>
<tr class="separator:a86f2e19eaa5d8e82c7f0fe86c61c8f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfc85054fdd2582bf431ebaad8cd934c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfc85054fdd2582bf431ebaad8cd934c"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>nativeBitsPerAxis</b></td></tr>
<tr class="separator:abfc85054fdd2582bf431ebaad8cd934c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afca5403e028359c52303520040d017aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afca5403e028359c52303520040d017aa"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>buttonNumber</b></td></tr>
<tr class="separator:afca5403e028359c52303520040d017aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d32477d4f2d1d1394db421312c0a8a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d32477d4f2d1d1394db421312c0a8a1"></a>
<a class="el" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>button</b></td></tr>
<tr class="separator:a0d32477d4f2d1d1394db421312c0a8a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5463cf3c528d315f0443c61184b5ca0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5463cf3c528d315f0443c61184b5ca0d"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>buttonOffset</b></td></tr>
<tr class="separator:a5463cf3c528d315f0443c61184b5ca0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41aafa3ddc59e93bb9b5f5ab6fdedeb3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41aafa3ddc59e93bb9b5f5ab6fdedeb3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>meaningfulDataAvailable</b></td></tr>
<tr class="separator:a41aafa3ddc59e93bb9b5f5ab6fdedeb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classflair_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classflair_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td></tr>
<tr class="memitem:a7fbf5ad201e7e802f0fa127891849dc9 inherit pub_static_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a7fbf5ad201e7e802f0fa127891849dc9">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a7fbf5ad201e7e802f0fa127891849dc9 inherit pub_static_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a7fbf5ad201e7e802f0fa127891849dc9">More...</a><br /></td></tr>
<tr class="separator:a7fbf5ad201e7e802f0fa127891849dc9 inherit pub_static_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base Class for host side remote controls that talks to target side through ethernet connection. </p>
<p>There are 3 communication channels:</p><ul>
<li>1 connection with the ground station to display the values. Output for analog sticks is normalized in the range [-1, 1] (float values) (through DrawUserInterface, use a UDT socket)</li>
<li>1 connection with the target to send the controller values (through udp socket - high bandwitdh, packets may be discarded)</li>
<li>1 connection with the target to receive controller state modification requests (through tcp socket - low bandwidth, packets must not be discarded) </li>
</ul>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classflair_1_1sensor_1_1_host_eth_controller.html">HostEthController</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
